<?php
/**
 * Created by Klickfabrik
 * Date: 23.02.15
 * Time: 08:35
 *
 * Developer: Marc Finnern
 * Version: 1.0
 */

// basics
$status     = esc_attr( get_option(kf_fbapi_field.'api_woocommerce_status'));
$blogURL    = get_bloginfo( 'url' );


global $wpdb;

// Update order statuses
$postResults = $wpdb->get_results('select * from wp_posts AS posts WHERE (posts.post_type = "shop_order" and posts.post_status = "'.$status.'") ORDER BY ID DESC');


/*
 * create all current posts to an array
 */
$orderItems = array();
foreach($postResults as $item){
    $orderItems[] = array(
        "ID"        => $item->ID,
        "order"     => $item->ID,
        "status"    => $item->post_status,
        "link"      => $blogURL."/wp-admin/post.php?post=".$item->ID."&action=edit",
        "meta"      => getBillingData($item->ID),
        "date"      => $item->post_date,
        "update"    => $item->post_modified,
    );
}

// table-fields
$tableFields = array("ID","order","meta","date","link","options");


// table header
$tableHead = '<thead><tr>';
foreach($tableFields as $tableValue){
    switch($tableValue){
        case "ID":
            $tableHead .= '<th style="" class="manage-column column-cb check-column" scope="col">';
            $tableHead .= '    <label for="cb-select-all-1" class="screen-reader-text">'.__('Select all',kf_fbapi_plugin).'</label>';
            $tableHead .= '    <input type="checkbox">';
            $tableHead .= '</th>';
            break;
        default:
            $tableHead .= '<th style="" class="manage-column column-'.$tableValue.'" id="'.$tableValue.'" scope="col">';
            $tableHead .= '    <span class="status_head tips">'.ucfirst(__($tableValue,kf_fbapi_plugin)).'</span>';
            $tableHead .= '</th>';
            break;
    }
}
$tableHead .= '</tr></thead>';


// table content
$tableContent = '<tbody id="the-list">';
foreach($orderItems as $orderKey => $orderValue):

    $tableContentClass = $orderKey % 2 ? " alternate" : "";
    $tableContent .= '<tr class="post-'.$orderValue['ID'].$tableContentClass.'" id="post-'.$orderValue['ID'].'">';
    foreach($tableFields as $tableValue):
        switch($tableValue){
            case "ID":
                $tableContent .= '<th class="check-column" scope="row">';
                $tableContent .= '    <input type="checkbox" value="'.$orderValue[$tableValue].'" name="post[]" id="cb-select-'.$orderValue[$tableValue].'">';
                $tableContent .= '</td>'."\n";
                break;
            case "meta":
                $tableContent .= '<td class="'.$tableValue.' column-'.$tableValue.'">';
                $tableContent .= $orderValue[$tableValue]['FIRST_NAME']." ".$orderValue[$tableValue]['LAST_NAME'];
                $tableContent .= '</td>'."\n";
                break;
            case "link":
                $tableContent .= '<td class="'.$tableValue.' column-'.$tableValue.'">';
                $tableContent .= '<a href="'.$orderValue[$tableValue].'" class="button action" target="_blank">'.__('Edit',kf_fbapi_plugin).'</a>';
                $tableContent .= '</td>'."\n";
                break;
            case "options":
                $buttonClass = get_option( "kf_fbapi_invoice_".$orderValue["ID"] ) !== false ? "button action button-primary" : "button action";
                $linkJump = '#post-'.$orderValue["ID"];

                $tableContent .= '<td class="'.$tableValue.' column-'.$tableValue.'">';
                $tableContent .= '<a href="admin.php?page='.kf_fbapi_dir.'export.php&export=1&ID='.$orderValue["ID"].'" class="'.$buttonClass.'">'.__('Export',kf_fbapi_plugin).'</a>';

                // download button
                if(get_option( "kf_fbapi_invoice_".$orderValue["ID"]."_document") !== false){
                    $tableContent .= '<a href="'.get_option( "kf_fbapi_invoice_".$orderValue["ID"]."_document").'" class="'.$buttonClass.'">'.__('PDF Download',kf_fbapi_plugin).'</a>';
                }

                $tableContent .= '</td>'."\n";
                break;
            default:
                $tableContent .= '<td class="'.$tableValue.' column-'.$tableValue.'">';
                $tableContent .= $orderValue[$tableValue];
                $tableContent .= '</td>'."\n";
                break;
        }

    endforeach;
    $tableContent .= '</tr>';
endforeach;
$tableContent .= '</tbody>';
