<?
/*
	Plugin Name: Klickfabrik WooCommerce to Fastbill Export
	Plugin URI: http://www.klickfabrik.net/
	Description: Export WooCommerce Order to Fastbill (create client, billings etc)
	Version: 1.1
	Author: Marc Finnern
	Author URI: http://marc-finnern.de/
	Min WP Version: 3.0
	Max WP Version: 3.3.1
*/


define('kf_fbapi_plugin_version',"1.1");
define('kf_fbapi_plugin','kf_fastbillapi');
define('kf_fbapi_dir','kf_fastbillapi/');
define('kf_fbapi_field','kf_fbapi_');


########## General
$baseurl = 'admin.php?page='.kf_fbapi_dir;


########## translation
load_plugin_textdomain(kf_fbapi_plugin, false, dirname( plugin_basename( __FILE__ ) ) . '/lang/');


########## menu
add_action('admin_menu', 'kf_fastbill_api_menu');
function kf_fastbill_api_menu() {

    // User Products
    add_menu_page('Fastbill API', 'Fastbill API', 9, kf_fbapi_dir.'options.php', '', plugins_url(kf_fbapi_dir.'images/icon.png'));

    // Manage
    add_submenu_page(kf_fbapi_dir.'options.php',__('Basic Config Fastbill API',kf_fbapi_plugin),__('Config',kf_fbapi_plugin), 9, kf_fbapi_dir.'options.php');
    add_submenu_page(kf_fbapi_dir.'options.php',__('Export to Fastbill',kf_fbapi_plugin),__('Export',kf_fbapi_plugin),9, kf_fbapi_dir.'export.php');
    //add_submenu_page(kf_fbapi_dir.'options.php',__('Test-Area',kf_fbapi_plugin),__('Test-Area',kf_fbapi_plugin),9, kf_fbapi_dir.'test.php');
}

########## API
require_once 'api/class.fastbill.config.php';
require_once 'api/class.fastbill.php';


########## Add Stylesheets
add_action('admin_init', 'kf_fastbill_api_scripts');
function kf_fastbill_api_scripts() {
	wp_enqueue_style('kf_fastbill_api_admin', plugins_url(kf_fbapi_dir.'css/kf_fastbillapi.css'));
}


########## Schedule
/**
 * On activation, set a time, frequency and name of an action hook to be scheduled.
 */
register_activation_hook( __FILE__, 'kf_fastbill_api_schedule_activation' );
function kf_fastbill_api_schedule_activation() {
    if(get_option(kf_fbapi_field.'api_schedule_event') !== false || get_option(kf_fbapi_field.'api_schedule_event') != "disable"){
        wp_schedule_event( time(), get_option(kf_fbapi_field.'api_schedule_event'), 'kf_fastbill_api_schedule' );
    }
}

/**
 * On the scheduled action hook, run the function.
 */
add_action( 'kf_fastbill_api_schedule', 'kf_fastbill_api_schedule_job' );
function kf_fastbill_api_schedule_job() {
    include 'inc/schedule_create.php';
}


/**
 * On deactivation, remove all functions from the scheduled action hook.
 */
register_deactivation_hook( __FILE__, 'kf_fastbill_api_schedule_deactivation' );
function kf_fastbill_api_schedule_deactivation() {
    wp_clear_scheduled_hook( 'kf_fastbill_api_schedule' );
}