<?
if(isset($_POST['kf_fbapi'])){
    $update = false;
    foreach($_POST as $key => $value){
        if(strpos($key,"kf_fbapi_")!==false){
            if ( get_option( $key ) !== false ) {
                // The option already exists, so we just update it.
                update_option( $key, $value );
                $update = true;
            } else {
                $deprecated = null;
                $autoload = 'no';
                add_option( $key, $value, $deprecated, $autoload );
                $update = true;
            }
        }
    }
}


if(get_option(kf_fbapi_field.'api_email') && get_option(kf_fbapi_field.'api_key')){
    $fastBill = new fastbill(get_option(kf_fbapi_field.'api_email'),get_option(kf_fbapi_field.'api_key'),FASTBILL_PLUS);


    // check API
    define('kf_fbapi_apiStatus',$fastBill->checkAPICredentials());

    // display Status
    if(get_option(kf_fbapi_field.'api_test')){
        if(kf_fbapi_apiStatus == true){
            $apiNote = '<div class="explain"><strong style="color:#008000">'.__('API Online!',kf_fbapi_plugin).'</strong></div>';
        } else {
            $apiNote = '<div class="explain"><strong style="color:red">'.__('API Offline - Please check the config!',kf_fbapi_plugin).'</strong></div>';
        }
    } else {
        $apiNote = "";
    }


    // render templates
    if(kf_fbapi_apiStatus == true){
        $apiTemplateResult = $fastBill->getTemplates();
        if($apiTemplateResult['status']){
            if(isset($apiTemplateResult['RESPONSE']) && !empty($apiTemplateResult['RESPONSE'])){
                $apiTemplateOptions = array('<option value="">'.__("Please select",kf_fbapi_plugin).'</option>');
                foreach($apiTemplateResult['RESPONSE'] as $template){
                    $attr = (esc_attr( get_option(kf_fbapi_field.'api_invoice_template')) == $template['TEMPLATE_ID']) ? "selected" : "";
                    $apiTemplateOptions[] = '<option value="'.$template['TEMPLATE_ID'].'" '.$attr.'>'.$template['TEMPLATE_NAME'].'</option>';
                }
            }
        }
    }
}


// woocommerce options
$woocommerceOption = array(
    "wc-pending"    => "Pending",
    "wc-processing" => "Processing",
    "wc-on-hold"    => "on Hold",
    "wc-completed"  => "Completed",
    "wc-cancelled"  => "Cancelled",
    "wc-refunded"   => "Refunded",
    "wc-failed"     => "Failed",
);
$api_woocommerce_statusOptions = array('<option value="">'.__("Please select",kf_fbapi_plugin).'</option>');
foreach($woocommerceOption as $wooStatus => $wooInfo){
    $attr = (esc_attr( get_option(kf_fbapi_field.'api_woocommerce_status')) == $wooStatus) ? "selected" : "";
    $api_woocommerce_statusOptions[] = '<option value="'.$wooStatus.'" '.$attr.'>'.__($wooInfo,kf_fbapi_plugin).'</option>';
}


// woocommerce options
$invoiceOption = array(
    "invoice_draft" => "Draft invoice",
    "invoice_final" => "Final invoice",
);
$invoice_statusOptions = array('<option value="">'.__("Please select",kf_fbapi_plugin).'</option>');
foreach($invoiceOption as $invoiceStatus => $invoiceInfo){
    $attr = (esc_attr( get_option(kf_fbapi_field.'api_invoice_type')) == $invoiceStatus) ? "selected" : "";
    $invoice_statusOptions[] = '<option value="'.$invoiceStatus.'" '.$attr.'>'.__($invoiceInfo,kf_fbapi_plugin).'</option>';
}


// Schedule event
$scheduleOption = array(
    "disable"       => "Disable",
    "hourly"        => "Hourly",
    "twicedaily"    => "Twicedaily",
    "daily"         => "Daily",
);
$api_schedule_event = array('<option value="">'.__("Please select",kf_fbapi_plugin).'</option>');
foreach($scheduleOption as $scheduleStatus => $scheduleInfo){
    $attr = (esc_attr( get_option(kf_fbapi_field.'api_schedule_event')) == $scheduleStatus) ? "selected" : "";
    $api_schedule_event[] = '<option value="'.$scheduleStatus.'" '.$attr.'>'.__($scheduleInfo,kf_fbapi_plugin).'</option>';
}

?>
<div id="of_container" class="wrap">

    <?php if($update): ?>
        <div class="of-save-popup" id="of-popup-save" style="top: 332.5px; left: 250px;">
            <div class="of-save-save"><?= __('Options Updated',kf_fbapi_plugin) ?></div>
        </div>
    <? endif;?>

    <form enctype="multipart/form-data" action="" method="post" id="of_form">
        <input type="hidden" value="1" name="kf_fbapi">
        <input type="hidden" value="0" name="<?=kf_fbapi_field;?>api_test">
        <div id="header">
            <div class="logo">
                <div class="logo">
                    <h2>Fastbill Export API</h2>
                    <span>Version: <?=kf_fbapi_plugin_version?></span>
                </div>
            </div>
        </div>

        <div id="info_bar">
            <div class="info_api"><?=$apiNote?></div>
            <button class="button-primary" type="submit" id="of_save"><?= __('Save All Changes',kf_fbapi_plugin) ?></button>
            <div class="clear"> </div>
        </div>

        <div id="main">
            <div id="content">
                <div id="of-option-header" class="group" style="display: block;">

                    <div class="section section-checkbox " id="section-logo_text">
                        <h3 class="heading"><?= __('API-Config',kf_fbapi_plugin) ?></h3>
                        <div class="option">
                            <div class="controls">
                                <?
                                $check = esc_attr( get_option(kf_fbapi_field.'api_test') ) == 1 ? "checked" : "";
                                ?>
                                <input type="checkbox" value="1" name="<?=kf_fbapi_field;?>api_test" class="of-input" <?=$check;?>>
                            </div>
                            <div class="explain"><?= __('FastBill API-Test show',kf_fbapi_plugin) ?></div>
                            <div class="clear"> </div>
                        </div>
                    </div>

                    <div class="section section-text " id="section-logo_text">
                        <div class="option">
                            <div class="explain"><?= __('FastBill API Key',kf_fbapi_plugin) ?></div>
                            <div class="controls">
                                <input type="text" value="<?php echo esc_attr( get_option(kf_fbapi_field.'api_key') ); ?>" name="<?=kf_fbapi_field;?>api_key" class="of-input ">
                            </div>
                            <div class="clear"> </div>
                        </div>

                        <div class="option">
                            <div class="explain"><?= __('FastBill Login-E-Mail',kf_fbapi_plugin) ?></div>
                            <div class="controls">
                                <input type="text" value="<?php echo esc_attr( get_option(kf_fbapi_field.'api_email') ); ?>" name="<?=kf_fbapi_field;?>api_email" class="of-input ">
                            </div>
                            <div class="clear"> </div>
                        </div>
                    </div>

                    <? if(kf_fbapi_apiStatus == true): ?>
                        <div class="section section-text " id="section-logo_text">
                            <h3 class="heading"><?= __('Invoice config',kf_fbapi_plugin) ?></h3>

                            <div class="option">
                                <div class="explain"><?= __('Invoice-Template',kf_fbapi_plugin) ?></div>
                                <div class="controls">
                                    <select name="<?=kf_fbapi_field;?>api_invoice_template">
                                        <?= join($apiTemplateOptions,""); ?>
                                    </select>
                                </div>
                                <div class="clear"> </div>
                            </div>

                            <div class="option">
                                <div class="explain"><?= __('Invoice Type',kf_fbapi_plugin) ?></div>
                                <div class="controls">
                                    <select name="<?=kf_fbapi_field;?>api_invoice_type">
                                        <?= join($invoice_statusOptions,""); ?>
                                    </select>
                                </div>
                                <div class="clear"> </div>
                            </div>

                            <div class="option">
                                <div class="explain"><?= __('Invoice Title',kf_fbapi_plugin) ?></div>
                                <div class="controls">
                                    <div class="controls">
                                        <input type="text" value="<?php echo esc_attr( get_option(kf_fbapi_field.'api_invoice_title') ); ?>" name="<?=kf_fbapi_field;?>api_invoice_title" placeholder="<?= __('WooCommerce Invoice - %NUMBER%',kf_fbapi_plugin) ?>" class="of-input ">
                                        <div class="note"><?= __('%NUMBER% is a placeholder for WooCommcerce Order-ID',kf_fbapi_plugin) ?></div>
                                    </div>
                                </div>
                                <div class="clear"> </div>
                            </div>

                            <div class="option">
                                <div class="explain"><?= __('currency code',kf_fbapi_plugin) ?></div>
                                <div class="controls">
                                    <div class="controls">
                                        <input type="text" value="<?php echo esc_attr( get_option(kf_fbapi_field.'api_invoice_currency_code') ); ?>" name="<?=kf_fbapi_field;?>api_invoice_currency_code" placeholder="<?= __('EUR',kf_fbapi_plugin) ?>" class="of-input ">
                                    </div>
                                </div>
                                <div class="clear"> </div>
                            </div>
                        </div>
                    <? endif; ?>

                    <div class="section section-text " id="export">
                        <h3 class="heading"><?= __('Woocommerce-Config',kf_fbapi_plugin) ?></h3>
                        <div class="option">
                            <div class="explain"><?= __('Woocommerce selection filter',kf_fbapi_plugin) ?></div>
                            <div class="controls">
                                <select name="<?=kf_fbapi_field;?>api_woocommerce_status">
                                    <?= join($api_woocommerce_statusOptions,""); ?>
                                </select>
                            </div>
                            <div class="clear"> </div>
                        </div>


                        <h3 class="heading"><?= __('Schedule event',kf_fbapi_plugin) ?></h3>
                        <div class="option">
                            <div class="explain"><?= __('Schedule',kf_fbapi_plugin) ?></div>
                            <div class="controls">
                                <select name="<?=kf_fbapi_field;?>api_schedule_event">
                                    <?= join($api_schedule_event,""); ?>
                                </select>
                            </div>
                            <div class="clear"> </div>
                        </div>

                        <div class="option">
                            <div class="explain"><?= __('Woocommerce first export Order-ID',kf_fbapi_plugin) ?></div>
                            <div class="controls">
                                <input type="text" value="<?php echo esc_attr( get_option(kf_fbapi_field.'api_startnumber') ); ?>" name="<?=kf_fbapi_field;?>api_startnumber" class="of-input ">
                                <div class="note"><?= __('first booking number for automatic export of all orders by FastBill',kf_fbapi_plugin) ?></div>
                            </div>
                            <div class="clear"> </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
        </div>

        <div class="save_bar">
            <button class="button-primary" type="submit" id="of_save"><?= __('Save All Changes',kf_fbapi_plugin) ?></button>
        </div>
    </form>
    <div style="clear:both;"></div>
</div>